import {
    get,
    post,
    buildUrl
} from '../utils/http';
import {
    stringify
} from 'qs';

/**
 * 用户登录
 * @param params
 * @returns {Promise<void>}
 */
export async function adminLogin(params = {}) {
    return post(`/admin/login`,params);
}
export async function updatePwd(params = {}) {
    return post(`/admin/updatePwd`,params);
}
export function getDownloadUrl(params = {}) {
    return buildUrl(`/admin/downloadEvaluation?${stringify(params)}`)
}
export async function evaluationSearch(params = {}) {
    return get(`/admin/searchEvaluation?${stringify(params)}`);
}
export async function userSearch(params = {}) {
    return get(`/admin/searchUser?${stringify(params)}`);
}

export async function queryNews(params = {}) {
    return get(`/news/index?${stringify(params)}`);
}
export async function deleteNews(params = {}) {
    return post(`/news/delete`, params);
}
export async function queryHotNews(params = {}) {
    return get(`/news/hot?${stringify(params)}`);
}
export async function categoryCount(params = {}) {
    return get(`/news/category_count?${stringify(params)}`);
}

export async function queryComments(params = {}) {
    return get(`/comments/query?${stringify(params)}`);
}
export default {
    getDownloadUrl,
    adminLogin,
    updatePwd,
    queryNews,
    queryHotNews,
    queryComments,
    deleteNews,
    categoryCount
}