"use strict";
const tools = {
    Y: function (d) {
        return d.getFullYear();
    },
    m: function (d) {
        return d.getMonth() + 1;
    },
    d: function (d) {
        return d.getDate();
    },
    H: function (d) {
        return d.getHours();
    },
    i: function (d) {
        return d.getMinutes();
    },
    s: function (d) {
        return d.getSeconds();
    },
    fileZero: function (v) {
        return v < 10 ? '0' + v : v.toString();
    }
};


export default (format = 'Y-m-d H:i:s') => {
    const arr = format.split('');
    let value = [], now = new Date();
    arr.forEach((key, i) => {
        value.push(
            typeof(tools[key]) == "function"
                ? tools.fileZero(tools[key].call(this, now))
                : key
        );
    })
    return value.join('');
}
